Subject: Re: cygwinb19.dll and applications.
From: [email-masked] (jeffdb)

20 Oct 1998 05:12:26 -0700
Message-ID: <[email-masked]>
References: <AC4D3D80B239D211BC140000F879A2BA0AE5DE@NTMAIL>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Using explorer or a dos box rename the old cygwinb19.dll,
You can only have ONE cygwinXX.dll anywhere that can be
executed.

Windows tries to load dll's from the application dir, the current dir
the path and anywhere else it can think of ;^), and forking
with a different version of cygwinXX.dll is a very bad idea!!!

On Mon, 19 Oct 1998 13:58:58 +1300, you wrote:

>Very confused! Please Help. 
>What is the correct procedure to compile and install a copy of
>cygwinb19.dll? Is there one? What am I doing wrong?
>
>I downladed the latest snapshot
>(ftp.cygnus.com/pub/noer/winsup-snapshot), and did the following,
>
>#cd /usr/src
>#mkdir /usr/src/obj
>#tar xvf /save/winsup-981012.tar
>
>... Changed the winsup/Makefile.in to reference cygwinb19.dll instead of
>... cygwindevo.dll
>
>#cd obj
>#../configure --prefix=/Cygnus/B19
>--exec-prefix=/Cygnus/B19/H-i386-cygwin32
>#make
>
>That worked great!
>
>I then did,
>
>#make install
>
>First of all, when it tried to install cygwinb19.dll, it wouldn't let
>me, as it was being used. (Fair enough).
>So, I moved it in Windows explorer to a directory earlier in the PATH,
>and tried again.
>
>This time everything installed.
>
>BUT NOW, when I start bash, I get a Windows dialog that says that,
>
>"/Cygnus/b19/H-i386-cygwin32/bin/cygwinb19.dll is not a valid windows NT
>image."
>
>It looks good to me (I looked in a dll viewer).
>
>What am I doing wrong? Why is this so difficult?
>Do all the tools have to be rebuilt as well?
>
>Many regards,
>Ian Collins.
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".